


#include "xmesaP.h"


void test( GLuint n, GLuint span[], GLubyte red[], GLubyte green[],
           GLubyte blue[], GLubyte alpha[] )
{
   int i;

   for (i=0;i<n;i++) {
      span[i] = PACK_RGB(red[i],green[i],blue[i]);
   }
}


#define PACK2(R,G,B)  XMesa->red_table[R] | XMesa->green_table[G] | XMesa->blue_table[B]

#define PACK3(R,G,B)  rtab[R] | gtab[G] | btab[B]

GLuint rtab[256], gtab[256], btab[256];


void test2( GLuint n, GLuint span[], GLubyte red[], GLubyte green[],
           GLubyte blue[], GLubyte alpha[] )
{
   int i;

   for (i=0;i<n;i++) {
      span[i] = PACK3(red[i],green[i],blue[i]);
   }
}
